// Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers
// See the COPYRIGHT file at the top-level directory of this distribution

// Abelujo is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// Abelujo is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.
{% extends "base.html" %}

{% block auto_command_nb %} {{ auto_command_nb }} {% endblock %}

{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}

div(ng-controller="alertsController")
  // with smart-table:
  table.table.table-striped(st-table="alerts")
    thead
      th {% trans "Date" %}
      th {% trans "Title" %}
      th {% trans "Conflict" %}
      th {% trans "Related deposit" %}

    tbody
      tr(ng-repeat="alert in alerts")
        td {{ "alert.date_creation" | ng }}
        td {{ "alert.card.title" | ng }}
        td {{ "print_ambiguous($index)" | ng }}
        td {{ "alert.deposits_repr " | ng }}

{% endblock %}